#
# spec file for package xorgxrdp
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xorgxrdp
Version:        0.2.6
Release:        lp150.2.3.1
Summary:        Xorg drivers for xrdp
License:        X11
Group:          System/X11/Utilities
Url:            https://github.com/neutrinolabs/xorgxrdp
Source0:        https://github.com/neutrinolabs/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/neutrinolabs/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  nasm
BuildRequires:  xorg-x11-server-sdk
BuildRequires:  xrdp-devel
BuildRequires:  pkgconfig(xorg-macros)
Requires:       xrdp >= 0.9.1
# For 42.x keep to use libXfont-devel
%if 0%{?suse_version} > 1320
BuildRequires:  libXfont2-devel
%else
BuildRequires:  libXfont-devel
%endif
ExcludeArch:    s390 s390x
%{x11_abi_videodrv_req}
%{x11_abi_xinput_req}

%description
This package contains Xorg driver modules for xrdp

%prep
%setup -q

%build
sh ./bootstrap
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files
%doc README.md COPYING
%{_libdir}/xorg/modules/drivers/xrdpdev_drv.so
%dir %{_libdir}/xorg/modules/input
%{_libdir}/xorg/modules/input/xrdpkeyb_drv.so
%{_libdir}/xorg/modules/input/xrdpmouse_drv.so
%{_libdir}/xorg/modules/libxorgxrdp.so
%dir %{_sysconfdir}/X11/xrdp
%config %{_sysconfdir}/X11/xrdp/xorg.conf

%changelog
* Mon Aug  6 2018 fezhang@suse.com
- Add xorg-macros BuildRequires and %%{x11_abi_videodrv_req} and
  %%{x11_abi_xinput_req} to prevent ABI mismatch with Xorg, reported
  and fix suggested by Michal Srb (boo#1103556).
* Tue Apr 17 2018 fezhang@suse.com
- Update to version 0.2.6
  + Fix GNOME 3 gnome-settings-daemon crash issue #111
  + Show correct version in Xorg log #114 #115
* Wed Jan 31 2018 ro@suse.de
- Add s390 to excludearch list
* Sat Jan  6 2018 fezhang@suse.com
- Update to version 0.2.5
  + Adjust socket file permission #110
  + Accept display number 0 #106
  + Assembly code refactoring
* Thu Sep 28 2017 fezhang@suse.com
- Update to 0.2.4
  + Implement disconnection by xrdp-dis command #51
* Mon Sep  4 2017 fezhang@suse.com
- Exclude s390x arch
- Specfile cleanup
* Wed Aug 16 2017 ftake@geeko.jp
- Update to 0.2.3
  + Fix X programs crash when reconnecting to xrdp with different
    screen size
- Fix build error for Leap 42.3
  + Use libXfont-devel instead of libXfont2-devel
* Tue Jul 11 2017 fezhang@suse.com
- Add source verification
  + Add xorgxrdp-0.2.2.tar.gz.asc
  + Add xorgxrdp.keyring, from the signer Koichiro IWAO (@metalefty
    on github)
* Fri Jun 23 2017 ftake@geeko.jp
- Update to 0.2.2
  * RemoteFX codec bandwidth optimization for aggressive
    application redraws
  * Code cleanups
* Mon May  1 2017 ftake@geeko.jp
- Initial package
